Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
flags
curl -X POST https://nest.feather.mupeni.dev/v1/projects/proj_01hx.../flags \
  -H "Authorization: Bearer <server_key>" \
  -H "Content-Type: application/json" \
  -d '{
    "key": "new-checkout",
    "name": "New Checkout Flow",
    "type": "boolean",
    "description": "Enables the redesigned checkout experience."
  }'
{
  "id": "flag_01hx...",
  "orgId": "org_01hx...",
  "projectId": "proj_01hx...",
  "key": "new-checkout",
  "name": "New Checkout Flow",
  "description": "Enables the redesigned checkout experience.",
  "type": "boolean",
  "clientSafe": false,
  "archivedAt": null,
  "createdAt": "2024-04-01T09:00:00.000Z"
}

Path parameters

projectId
string
required

Body

key
string
required
Developer-facing identifier. Must match ^[a-z0-9-_]+$. Unique within the project. Immutable after creation.
name
string
required
Display name.
type
"boolean" | "string" | "number"
required
Determines the type of defaultValue and rule value fields.
description
string
Optional description.
clientSafe
boolean
If true, the flag is included in the public bundle served to browser SDKs. Defaults to false.
curl -X POST https://nest.feather.mupeni.dev/v1/projects/proj_01hx.../flags \
  -H "Authorization: Bearer <server_key>" \
  -H "Content-Type: application/json" \
  -d '{
    "key": "new-checkout",
    "name": "New Checkout Flow",
    "type": "boolean",
    "description": "Enables the redesigned checkout experience."
  }'
{
  "id": "flag_01hx...",
  "orgId": "org_01hx...",
  "projectId": "proj_01hx...",
  "key": "new-checkout",
  "name": "New Checkout Flow",
  "description": "Enables the redesigned checkout experience.",
  "type": "boolean",
  "clientSafe": false,
  "archivedAt": null,
  "createdAt": "2024-04-01T09:00:00.000Z"
}